VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form MainForm 
   Caption         =   "CSMail/SSL Connection Tester"
   ClientHeight    =   8460
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   10755
   LinkTopic       =   "Form1"
   ScaleHeight     =   8460
   ScaleWidth      =   10755
   StartUpPosition =   3  'Windows Default
   Begin ConnectionTester.TestInfoCtl ctlTestOptions 
      Height          =   7395
      Index           =   0
      Left            =   135
      TabIndex        =   2
      Top             =   945
      Width           =   10560
      _ExtentX        =   18521
      _ExtentY        =   13044
   End
   Begin MSComctlLib.TabStrip tabTests 
      Height          =   7980
      Left            =   0
      TabIndex        =   1
      Top             =   450
      Width           =   10725
      _ExtentX        =   18918
      _ExtentY        =   14076
      _Version        =   393216
      BeginProperty Tabs {1EFB6598-857C-11D1-B16A-00C0F0283628} 
         NumTabs         =   1
         BeginProperty Tab1 {1EFB659A-857C-11D1-B16A-00C0F0283628} 
            ImageVarType    =   2
         EndProperty
      EndProperty
   End
   Begin VB.PictureBox TxRxTestCtl1 
      Height          =   7215
      Left            =   135
      ScaleHeight     =   7155
      ScaleWidth      =   10440
      TabIndex        =   3
      Top             =   945
      Width           =   10500
   End
   Begin VB.Label lblLibVer 
      Alignment       =   2  'Center
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      ForeColor       =   &H00008000&
      Height          =   330
      Left            =   0
      TabIndex        =   0
      Top             =   45
      Width           =   10695
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' $Id: main.frm,v 1.8 2005-09-26 12:32:06 dcharlton Exp $
' This is the main form for the sample application
'

' ----------------------------------------------------------------------------
' Note: I've tried to organise this sample so that the CSMail/SSL
' specific code is in:
'
'   SMTP_Test.cls   -   secure SMTP connection
'   POP3_Test.cls   -   secure POP3 connection
'
' Code in any other files is just string and sealing wax to hold
' the sample together

' ----------------------------------------------------------------------------

Option Explicit



' ----------------------------------------------------------------------------
Private Sub Form_Initialize()

' Initialise the lookup tables - see Global.bas
InitLookups

End Sub



' ----------------------------------------------------------------------------

Private Sub Form_Load()

Dim iInitialTab As Integer
Dim oSettings As New CSMAILLib.Settings

' Show library version
lblLibVer = "Using CSMail Build " & oSettings.Option(optionLibraryBuild) & " at " & oSettings.Option(optionLibraryPath)

' vb keeps adding a tab in design mode, clear down
tabTests.Tabs.Clear

' Load SMTP/POP3/IMAP4 Test Tabs
LoadTestTab New SMTP_Test
LoadTestTab New POP3_Test
LoadTestTab New IMAP4_Test


' Reselect the tab that was open when the app last closed
iInitialTab = GetSetting("SSLConnectionTester", "General", "ActiveTab", 1)

If iInitialTab > tabTests.Tabs.Count Then
    iInitialTab = 1
End If

tabTests.Tabs(iInitialTab).Selected = True

End Sub

' ----------------------------------------------------------------------------
Private Sub LoadTestTab(t As TestTypeBase)

Dim tbNew As MSComctlLib.Tab

'   Add a new tab for the test type
Set tbNew = tabTests.Tabs.Add(, , t.Name)

If tbNew.Index > 1 Then

    ' Need a new input control
    Load ctlTestOptions(tbNew.Index - 1)

End If

' Hookup the input control to the test type

Set ctlTestOptions(tbNew.Index - 1).test = t

Set tbNew.Tag = ctlTestOptions(tbNew.Index - 1)

' Load the options for the test type
ctlTestOptions(tbNew.Index - 1).TabItemBase_LoadSettings "SSLConnectionTester"



End Sub



' ----------------------------------------------------------------------------

Private Sub Form_Unload(Cancel As Integer)

Dim tb As MSComctlLib.Tab

' Save the currently selected tab
SaveSetting "SSLConnectionTester", "General", "ActiveTab", tabTests.SelectedItem.Index

For Each tb In tabTests.Tabs

    ' Save the options for the test type
    tb.Tag.TabItemBase_SaveSettings "SSLConnectionTester"

Next

' Clear down the tabs
tabTests.Tabs.Clear

End Sub

' ----------------------------------------------------------------------------

Private Sub tabTests_BeforeClick(Cancel As Integer)

' Hide the old tab
tabTests.SelectedItem.Tag.TabItemBase_Show False

End Sub


' ----------------------------------------------------------------------------

Private Sub tabTests_Click()

' Show the new tab and bring it top of the zorder
tabTests.SelectedItem.Tag.TabItemBase_Show True

End Sub

